salesforce.cdp.hyperdb.v1

## Class ColumnDescription.Builder

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite.Builder
  - - com.google.protobuf.AbstractMessage.Builder<BuilderT>
    - - com.google.protobuf.GeneratedMessageV3.Builder<ColumnDescription.Builder>
      - - salesforce.cdp.hyperdb.v1.ColumnDescription.Builder

All Implemented Interfaces:
  com.google.protobuf.Message.Builder, com.google.protobuf.MessageLite.Builder, com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder, Cloneable, ColumnDescriptionOrBuilder

Enclosing class:
  ColumnDescription

    public static final class ColumnDescription.Builder
    extends com.google.protobuf.GeneratedMessageV3.Builder<ColumnDescription.Builder>
    implements ColumnDescriptionOrBuilder

Protobuf type `salesforce.hyperdb.grpc.v1.ColumnDescription`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`ColumnDescription.Builder` `addRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`ColumnDescription` `build()`
`ColumnDescription` `buildPartial()`
`ColumnDescription.Builder` `clear()`
`ColumnDescription.Builder` `clearField(com.google.protobuf.Descriptors.FieldDescriptor field)`
`ColumnDescription.Builder` `clearName()` `string name = 1;`
`ColumnDescription.Builder` `clearOneof(com.google.protobuf.Descriptors.OneofDescriptor oneof)`
`ColumnDescription.Builder` `clearType()` `.salesforce.hyperdb.grpc.v1.SqlType type = 2;`
`ColumnDescription.Builder` `clone()`
`ColumnDescription` `getDefaultInstanceForType()`
`static com.google.protobuf.Descriptors.Descriptor` `getDescriptor()`
`com.google.protobuf.Descriptors.Descriptor` `getDescriptorForType()`
`String` `getName()` `string name = 1;`
`com.google.protobuf.ByteString` `getNameBytes()` `string name = 1;`
`SqlType` `getType()` `.salesforce.hyperdb.grpc.v1.SqlType type = 2;`
`SqlType.Builder` `getTypeBuilder()` `.salesforce.hyperdb.grpc.v1.SqlType type = 2;`
`SqlTypeOrBuilder` `getTypeOrBuilder()` `.salesforce.hyperdb.grpc.v1.SqlType type = 2;`
`boolean` `hasType()` `.salesforce.hyperdb.grpc.v1.SqlType type = 2;`
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` `internalGetFieldAccessorTable()`
`boolean` `isInitialized()`
`ColumnDescription.Builder` `mergeFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`ColumnDescription.Builder` `mergeFrom(ColumnDescription other)`
`ColumnDescription.Builder` `mergeFrom(com.google.protobuf.Message other)`
`ColumnDescription.Builder` `mergeType(SqlType value)` `.salesforce.hyperdb.grpc.v1.SqlType type = 2;`
`ColumnDescription.Builder` `mergeUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)`
`ColumnDescription.Builder` `setField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`ColumnDescription.Builder` `setName(String value)` `string name = 1;`
`ColumnDescription.Builder` `setNameBytes(com.google.protobuf.ByteString value)` `string name = 1;`
`ColumnDescription.Builder` `setRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, int index, Object value)`
`ColumnDescription.Builder` `setType(SqlType.Builder builderForValue)` `.salesforce.hyperdb.grpc.v1.SqlType type = 2;`
`ColumnDescription.Builder` `setType(SqlType value)` `.salesforce.hyperdb.grpc.v1.SqlType type = 2;`
`ColumnDescription.Builder` `setUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)`

### Methods inherited from class com.google.protobuf.GeneratedMessageV3.Builder

`getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, getUnknownFieldSetBuilder, hasField, hasOneof, internalGetMapField, internalGetMapFieldReflection, internalGetMutableMapField, internalGetMutableMapFieldReflection, isClean, markClean, mergeUnknownLengthDelimitedField, mergeUnknownVarintField, newBuilderForField, onBuilt, onChanged, parseUnknownField, setUnknownFieldSetBuilder, setUnknownFieldsProto3`

### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

`findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

`addAll, addAll, mergeDelimitedFrom, mergeDelimitedFrom, newUninitializedMessageException`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Methods inherited from interface com.google.protobuf.Message.Builder

`mergeDelimitedFrom, mergeDelimitedFrom`

### Method Detail

#### getDescriptor

    public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

#### internalGetFieldAccessorTable

    protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3.Builder<ColumnDescription.Builder>`

#### clear

    public ColumnDescription.Builder clear()

Specified by:
  `clear` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clear` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clear` in class `com.google.protobuf.GeneratedMessageV3.Builder<ColumnDescription.Builder>`

#### getDescriptorForType

    public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
Overrides:
  `getDescriptorForType` in class `com.google.protobuf.GeneratedMessageV3.Builder<ColumnDescription.Builder>`

#### getDefaultInstanceForType

    public ColumnDescription getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

#### build

    public ColumnDescription build()

Specified by:
  `build` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `build` in interface `com.google.protobuf.MessageLite.Builder`

#### buildPartial

    public ColumnDescription buildPartial()

Specified by:
  `buildPartial` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

#### clone

    public ColumnDescription.Builder clone()

Specified by:
  `clone` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clone` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clone` in class `com.google.protobuf.GeneratedMessageV3.Builder<ColumnDescription.Builder>`

#### setField

    public ColumnDescription.Builder setField(com.google.protobuf.Descriptors.FieldDescriptor field,
                                              Object value)

Specified by:
  `setField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setField` in class `com.google.protobuf.GeneratedMessageV3.Builder<ColumnDescription.Builder>`

#### clearField

    public ColumnDescription.Builder clearField(com.google.protobuf.Descriptors.FieldDescriptor field)

Specified by:
  `clearField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearField` in class `com.google.protobuf.GeneratedMessageV3.Builder<ColumnDescription.Builder>`

#### clearOneof

    public ColumnDescription.Builder clearOneof(com.google.protobuf.Descriptors.OneofDescriptor oneof)

Specified by:
  `clearOneof` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearOneof` in class `com.google.protobuf.GeneratedMessageV3.Builder<ColumnDescription.Builder>`

#### setRepeatedField

    public ColumnDescription.Builder setRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                      int index,
                                                      Object value)

Specified by:
  `setRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<ColumnDescription.Builder>`

#### addRepeatedField

    public ColumnDescription.Builder addRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                      Object value)

Specified by:
  `addRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `addRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<ColumnDescription.Builder>`

#### mergeFrom

    public ColumnDescription.Builder mergeFrom(com.google.protobuf.Message other)

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<ColumnDescription.Builder>`

#### mergeFrom

    public ColumnDescription.Builder mergeFrom(ColumnDescription other)

#### isInitialized

    public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3.Builder<ColumnDescription.Builder>`

#### mergeFrom

    public ColumnDescription.Builder mergeFrom(com.google.protobuf.CodedInputStream input,
                                               com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                        throws IOException

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<ColumnDescription.Builder>`
Throws:
  `IOException`

#### getName

    public String getName()

`string name = 1;`

Specified by:
  `getName` in interface `ColumnDescriptionOrBuilder`
Returns:
  The name.

#### getNameBytes

    public com.google.protobuf.ByteString getNameBytes()

`string name = 1;`

Specified by:
  `getNameBytes` in interface `ColumnDescriptionOrBuilder`
Returns:
  The bytes for name.

#### setName

    public ColumnDescription.Builder setName(String value)

`string name = 1;`

Parameters:
  `value` - The name to set.
Returns:
  This builder for chaining.

#### clearName

    public ColumnDescription.Builder clearName()

`string name = 1;`

Returns:
  This builder for chaining.

#### setNameBytes

    public ColumnDescription.Builder setNameBytes(com.google.protobuf.ByteString value)

`string name = 1;`

Parameters:
  `value` - The bytes for name to set.
Returns:
  This builder for chaining.

#### hasType

    public boolean hasType()

`.salesforce.hyperdb.grpc.v1.SqlType type = 2;`

Specified by:
  `hasType` in interface `ColumnDescriptionOrBuilder`
Returns:
  Whether the type field is set.

#### getType

    public SqlType getType()

`.salesforce.hyperdb.grpc.v1.SqlType type = 2;`

Specified by:
  `getType` in interface `ColumnDescriptionOrBuilder`
Returns:
  The type.

#### setType

    public ColumnDescription.Builder setType(SqlType value)

`.salesforce.hyperdb.grpc.v1.SqlType type = 2;`

#### setType

    public ColumnDescription.Builder setType(SqlType.Builder builderForValue)

`.salesforce.hyperdb.grpc.v1.SqlType type = 2;`

#### mergeType

    public ColumnDescription.Builder mergeType(SqlType value)

`.salesforce.hyperdb.grpc.v1.SqlType type = 2;`

#### clearType

    public ColumnDescription.Builder clearType()

`.salesforce.hyperdb.grpc.v1.SqlType type = 2;`

#### getTypeBuilder

    public SqlType.Builder getTypeBuilder()

`.salesforce.hyperdb.grpc.v1.SqlType type = 2;`

#### getTypeOrBuilder

    public SqlTypeOrBuilder getTypeOrBuilder()

`.salesforce.hyperdb.grpc.v1.SqlType type = 2;`

Specified by:
  `getTypeOrBuilder` in interface `ColumnDescriptionOrBuilder`

#### setUnknownFields

    public final ColumnDescription.Builder setUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `setUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<ColumnDescription.Builder>`

#### mergeUnknownFields

    public final ColumnDescription.Builder mergeUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `mergeUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<ColumnDescription.Builder>`